//
//  ViewController.swift
//  TextField
//
//  Created by Mark Meretzky on 10/23/17.
//  Copyright © 2017 NYU School of Professional Studies. All rights reserved.
//

import UIKit

class ViewController: UIViewController, UITextFieldDelegate {

	override func viewDidLoad() {
		super.viewDidLoad()
		// Do any additional setup after loading the view, typically from a nib.
	}

	override func didReceiveMemoryWarning() {
		super.didReceiveMemoryWarning()
		// Dispose of any resources that can be recreated.
	}
	
	//Called when return key is pressed.
	//Decide if the app should accept this input and hide the keyboard.
	
	func textFieldShouldReturn(_ textField: UITextField) -> Bool {
		if textField.text == "" {
			textField.placeholder = "<type a non-empty word>";
		} else {
			textField.resignFirstResponder();	//Hide keyboard.
		}
		return true;	//The text field should do its default behavior.
	}
	
	//Called when keyboard is hidden.
	//Process the text that was input.
	
	func textFieldDidEndEditing(_ textField: UITextField) {
		//Downcast the view property from class UIView to class View.
		let v: View = view as! View;
		let label: UILabel = v.label;
		
		if textField.text! == "" {
			label.text = "";
		} else {
			let lowercase: String = textField.text!.lowercased();
			let i: String.Index = lowercase.index(lowercase.startIndex, offsetBy: 1);
			label.text =
				lowercase[i...] +   //all characters except the first
				lowercase[..<i] +   //the first character
				"ay";
			label.isHidden = false;
		}
	}


}
